View Issue Details

IDProjectCategoryView StatusLast Update
0002727Ham Radio DeluxeBugpublic2019-01-16 22:04
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.840 
Target VersionFixed in Version6.5.0.183 
Summary0002727: Documentation: contains dead link to third-party website
Description1) Visit this page: https://wiki.hamradiodeluxe.com/index.php?title=Rig_Control

2) Search for "Virtual Null Modem Software" on the page

BUG#1) The text in that section refers to this link: http://www.philcovington.com/SDR.html which is 404.
TagsNo tags attached.
ModuleRig Control
Sub-ModuleDocumentation
Testing Beta Successful

Relationships

related to 0002749 closedK7ZCZ Rig Control: consider removing vCOM driver from product 

Activities

WA9PIE

2018-06-07 13:53

administrator   ~0005225

It looks like the vCOM driver from N8VB may have been discontinued. I'll take this on and figure out what needs to be revised in software or documentation.

WA9PIE

2018-06-07 14:05

administrator   ~0005226

I'm evaluating whether we should remove vCOM from our software and recommend that folks use com0com and/or VSPE instead. (Many hams have already gone down this path.)

WA9PIE

2018-06-27 14:24

administrator   ~0005507

MikeB - can we get rid of the vCOM stuff? We can remove it all from the documentation for com0com or other alternatives. vCOM isn't made anymore.

K7ZCZ

2018-06-28 17:04

manager   ~0005526

2749 tracks getting rid of vCOM.

K7ZCZ

2018-06-29 11:08

manager   ~0005541

This is assigned to me , but I'm not able to edit the documentation. I've assigned it to WA9PIE, who has made documentation fixes in the past.

WA9PIE

2018-06-30 00:25

administrator   ~0005568

I'll get rid of the documentation. Can we get rid of vCOM in the code and/or distribution?

WA9PIE

2018-07-26 00:33

administrator   ~0005832

I've removed the references to vCOM from the documentation.

At this point I think we should (a) remove vCOM and the dead links from the distribution, if we haven't already, and (b) just let general guidance about virtual COM port software in the documentation serve the need.

K7ZCZ

2018-12-02 14:16

manager   ~0006515

Resolved, as the related issue takes care of the rest of the documentation clean up, as well as removing the unused bits of code surrounding virtual COM ports.

Issue History

Date Modified Username Field Change
2018-05-20 23:10 K7ZCZ New Issue
2018-06-07 13:53 WA9PIE Assigned To => WA9PIE
2018-06-07 13:53 WA9PIE Status new => assigned
2018-06-07 13:53 WA9PIE Target Version 6.4.0.839 =>
2018-06-07 13:53 WA9PIE Description Updated View Revisions
2018-06-07 13:53 WA9PIE Note Added: 0005225
2018-06-07 14:05 WA9PIE Note Added: 0005226
2018-06-27 14:24 WA9PIE Note Added: 0005507
2018-06-27 14:24 WA9PIE Assigned To WA9PIE => K7ZCZ
2018-06-28 17:04 K7ZCZ Relationship added related to 0002749
2018-06-28 17:04 K7ZCZ Note Added: 0005526
2018-06-29 11:07 K7ZCZ Assigned To K7ZCZ => WA9PIE
2018-06-29 11:08 K7ZCZ Note Added: 0005541
2018-06-30 00:25 WA9PIE Note Added: 0005568
2018-07-26 00:33 WA9PIE Assigned To WA9PIE => K7ZCZ
2018-07-26 00:33 WA9PIE Description Updated View Revisions
2018-07-26 00:33 WA9PIE Note Added: 0005832
2018-12-02 14:16 K7ZCZ Status assigned => resolved
2018-12-02 14:16 K7ZCZ Resolution open => fixed
2018-12-02 14:16 K7ZCZ Note Added: 0006515
2018-12-09 15:44 K7ZCZ Fixed in Version => 6.5.0.132
2018-12-21 00:58 WA9PIE Status resolved => closed
2018-12-21 00:58 WA9PIE Testing Not Started => Beta Successful
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.132 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe